Uploaded image for project: 'XWiki Commons'
  1. XWiki Commons
  2. XCOMMONS-935

EM does not handle dependency management

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 7.4.2
    • Fix Version/s: None
    • Component/s: Extension
    • Labels:
      None
    • Similar issues:

      Description

      Steps to reproduce:

      • You have an extension A, with:
        <dependencyManagement>
            <dependencies>
              <dependency>
                <groupId>someGroup</groupId>
                <artifactId>extensionB</artifactId>
                <version>2.0</version>
              </dependency>
            <dependencies>
        </dependencyManagement>
        
      • Extension A have also a dependency to extension C.
      • Extension C have a dependency to extension B, version 1.0.

      In EM, you try to install Extension A. Then, it tries to install extension B with version 1.0 instead of version 2.0.

      Note: the dependency management is actually defined in a parent of extension A.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tmortagne Thomas Mortagne
                Reporter:
                gdelhumeau Guillaume Delhumeau
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Date of First Response: